Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.analytics.get_options_etfs_top_volume(size=10)
assert res.options_screener_items is not None
# Handle response
print(res.options_screener_items)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.analytics.getOptionsEtfsTopVolume({});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/options/etfs/top-volume \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/options/etfs/top-volume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/options/etfs/top-volume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/options/etfs/top-volume"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/options/etfs/top-volume")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/options/etfs/top-volume")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"ask": 3.5,
"bid": 3.4,
"change": 0.22,
"changePercent": 6.81,
"expiry": "2024-01-19",
"impliedVolatility": 0.28,
"lastPrice": 3.45,
"logoUrl": "https://cdn.example.com/logos/AAPL.png",
"openInterest": 45000,
"strike": 190,
"symbol": "AAPL240119C00190000",
"type": "c",
"underlyingSymbol": "AAPL",
"volume": 12500
}
]Analytics
Top Volume Options for ETFs
Retrieve ETF options contracts with the highest trading volume. Identify most actively traded ETF options for liquidity analysis and discovery.
Use Case: Show which ETF options contracts have the highest volume to identify potential market-moving trades.
GET
/
v1
/
options
/
etfs
/
top-volume
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.analytics.get_options_etfs_top_volume(size=10)
assert res.options_screener_items is not None
# Handle response
print(res.options_screener_items)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.analytics.getOptionsEtfsTopVolume({});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/options/etfs/top-volume \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/options/etfs/top-volume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/options/etfs/top-volume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/options/etfs/top-volume"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/options/etfs/top-volume")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/options/etfs/top-volume")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"ask": 3.5,
"bid": 3.4,
"change": 0.22,
"changePercent": 6.81,
"expiry": "2024-01-19",
"impliedVolatility": 0.28,
"lastPrice": 3.45,
"logoUrl": "https://cdn.example.com/logos/AAPL.png",
"openInterest": 45000,
"strike": 190,
"symbol": "AAPL240119C00190000",
"type": "c",
"underlyingSymbol": "AAPL",
"volume": 12500
}
]Response
Success returns200 OK with a JSON array of option contract details. Each item includes: symbol, underlyingSymbol, logoUrl, type, strike, expiry, volume, openInterest, lastPrice, change, changePercent, bid, ask, impliedVolatility.
The type field uses the API response codes: c for Call and P for Put.Authorizations
Query Parameters
Response
Array of option contract details (symbol, underlyingSymbol, type, strike, expiry, volume, openInterest, lastPrice, change, changePercent, bid, ask, impliedVolatility, logoUrl).
Was this page helpful?